package com.zd.smartlock.domain.api;

import com.zd.smartlock.domain.BaseDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liujh
 * @Date: 2022/09/03/14:50
 * @Description:
 */
@ApiModel("开关门记录")
public class SlOpenAndClosLog extends BaseDomain {

    @ApiModelProperty(value = "卡号/指纹号/人脸号/二维码编号")
    private String cardcode;

    @ApiModelProperty(value = "学/工号")
    private String personcode;

    @ApiModelProperty(value = "组织")
    private String personlocation;

    @ApiModelProperty(value = "姓名")
    private String personname;

    @ApiModelProperty(value = "开门日期")
    private String unlockingdate;

    @ApiModelProperty(value = "开门方式")
    private String unlockingtype;

    public String getCardcode() {
        return cardcode;
    }

    public void setCardcode(String cardcode) {
        this.cardcode = cardcode;
    }

    public String getPersoncode() {
        return personcode;
    }

    public void setPersoncode(String personcode) {
        this.personcode = personcode;
    }

    public String getPersonlocation() {
        return personlocation;
    }

    public void setPersonlocation(String personlocation) {
        this.personlocation = personlocation;
    }

    public String getPersonname() {
        return personname;
    }

    public void setPersonname(String personname) {
        this.personname = personname;
    }

    public String getUnlockingdate() {
        return unlockingdate;
    }

    public void setUnlockingdate(String unlockingdate) {
        this.unlockingdate = unlockingdate;
    }

    public String getUnlockingtype() {
        return unlockingtype;
    }

    public void setUnlockingtype(String unlockingtype) {
        this.unlockingtype = unlockingtype;
    }
}
